<div id="report-block" *ngIf="report.length > 0 || report_err">
  <h2 class="ion-text-center">
    <ion-text color="dark" *ngIf="id == null">Generated report</ion-text>
  </h2>
  <h3 *ngIf="!report_err" class="ion-text-center">
    <ion-text color="dark" *ngIf="id == null">Total area processed: {{area_processed}} acres</ion-text>
  </h3>
  <h3 *ngIf="!report_err" class="ion-text-center">
    <ion-text color="dark" *ngIf="id == null">Total fields processed: {{fields_processed}}</ion-text>
  </h3>
  <p *ngIf="report_err" class="ion-padding ion-text-center">
    <ion-text color="dark">{{report_err}}</ion-text>
  </p>
  <div *ngIf="!report_err">
    <ion-card *ngFor="let r of report">
      <ion-list>
        <ion-item>
          <ion-label>
            <h1>{{r.tractor.name}}</h1>
            <p>NAME OF TRACTOR</p>
          </ion-label>
        </ion-item>
        <ion-item>
          <ion-label>
            <h1>{{r.field.name}}</h1>
            <p>NAME OF FIELD</p>
          </ion-label>
        </ion-item>
        <ion-item>
          <ion-label>
            <h1>{{r.field.crop}}</h1>
            <p>NAME OF CROP</p>
          </ion-label>
        </ion-item>
        <ion-item>
          <ion-label>
            <h1>{{r.datestring}}</h1>
            <p>DATE OF PROCESS</p>
          </ion-label>
        </ion-item>
        <ion-item>
          <ion-label>
            <h1>{{r.area}}</h1>
            <p>PROCESSESED AREA in acres</p>
          </ion-label>
        </ion-item>
        <ion-item>
          <ion-label>
            <h1>{{r.status}}</h1>
            <p>STATUS</p>
          </ion-label>
        </ion-item>
        <ion-item>
          <ion-label>
            <h1>{{r.owner}}</h1>
            <p>OWNER</p>
          </ion-label>
        </ion-item>
      </ion-list>
    </ion-card>
  </div>
  <div class="ion-margin-top ion-text-center ion-padding-bottom">
    <ion-button id="create-field-button" color="success" (click)="report = [];report_err = false;">
      <ion-text>New report</ion-text>
    </ion-button>
  </div>
</div>
<div *ngIf="report.length == 0 && !report_err">
  <h2 class="ion-text-center ion-padding-horizontal">
    <ion-text color="dark" *ngIf="id == null">Create a report of processed fields</ion-text>
  </h2>
  <ion-grid>
    <ion-row>
      <ion-col>
        <ion-list>
          <ion-list-header>Field</ion-list-header>
          <ion-item *ngFor="let f of fields; let index = i;" class="ion-margin-bottom">
            <ion-label color="dark">{{f.name}}</ion-label>
            <ion-checkbox slot="start" (ionChange)="checked('field',f.name,$event)" color="dark"></ion-checkbox>
          </ion-item>
        </ion-list>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-list>
          <ion-list-header>Tractor</ion-list-header>
          <ion-item *ngFor="let f of tractors; let index = i;" class="ion-margin-bottom">
            <ion-label color="dark">{{f.name}}</ion-label>
            <ion-checkbox slot="start" (ionChange)="checked('tractor',f.name,$event)" color="dark"></ion-checkbox>
          </ion-item>
        </ion-list>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-list>
          <ion-list-header>Crop</ion-list-header>
          <ion-item *ngFor="let f of crops; let index = i;" class="ion-margin-bottom">
            <ion-label color="dark">{{f.name}}</ion-label>
            <ion-checkbox slot="start" (ionChange)="checked('crop',f.name,$event)" color="dark"></ion-checkbox>
          </ion-item>
        </ion-list>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-list>
          <ion-list-header>Date range<br><br>Leave empty to fetch fields from beginning of the year.<br></ion-list-header>
          <ion-item class="ion-padding-start">
            <ion-label position="floating">From date to present</ion-label>
            <ion-datetime [(ngModel)]="timestamp" displayFormat="D MMM, YYYY" min="2020" max={{max_date}}></ion-datetime>
          </ion-item>
        </ion-list>
      </ion-col>
    </ion-row>
    <ion-row *ngIf="err != null">
      <ion-col>
        <ion-text color="danger">{{err}}</ion-text>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col class="ion-text-center">
        <ion-button id="create-field-button" color="success" (click)="create()">
          <ion-text>Create</ion-text>
        </ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>
</div>